%define upstream_name    WebService-Validator-CSS-W3C
%define upstream_version 0.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Interface to the W3C CSS Validator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WebService/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(SOAP::Lite)
BuildRequires: perl(URI)
BuildRequires: perl(URI::QueryParam)
BuildArch: noarch


%description
This module is an interface to the W3C CSS Validation online service the
http://jigsaw.w3.org/css-validator/ manpage, based on its SOAP 1.2 support.
It helps to find errors in Cascading Style Sheets.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.300.0-6.mga6
+ Revision: 1035698
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.300.0-5.mga6
+ Revision: 933352
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-4.mga5
+ Revision: 746474
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-3.mga5
+ Revision: 686882
- Mageia 5 Mass Rebuild

* Sun Oct 20 2013 umeabot <umeabot> 0.300.0-2.mga4
+ Revision: 536824
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 0.300.0-1.mga4
+ Revision: 485753
- update to 0.3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 36654
- mageia rebuild
- imported package perl-WebService-Validator-CSS-W3C

